import { createApp } from 'vue';
import App from './App.vue';
import router from './router';
import './styles/index.css';

import api from '@/api';
import axios from 'axios';



import { NavBar, Button, Form, Field, CellGroup, Tabbar, TabbarItem, Icon, Toast, Image as VanImage, Grid, GridItem, Row, Col, Tab, Tabs, Popup, PickerGroup, DatePicker, TimePicker, Picker, Uploader } from 'vant';
import 'vant/lib/index.css';
import store from './store';

const app = createApp(App)

app.use(router)
    .use(NavBar)
    .use(Button)
    .use(Form)
    .use(Field)
    .use(CellGroup)
    .use(store)
    .use(TabbarItem)
    .use(Tabbar)
    .use(Icon)
    .use(Toast)
    .use(VanImage)
    .use(Grid)
    .use(GridItem)
    .use(Row)
    .use(Col)
    .use(Tab)
    .use(Tabs)
    .use(Popup)
    .use(PickerGroup)
    .use(DatePicker)
    .use(TimePicker)
    .use(Picker)
    .use(Uploader)

app.config.globalProperties.$API = api
app.config.globalProperties.$axios = axios
app.mount('#app')